LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XControlAccess Interface Referencepublished

provides access to the controls in a view. More...

`import"XControlAccess.idl";`

Inheritance diagram for XControlAccess:

## Public Member Functions
com::sun::star::awt::XControl | getControl ([in] com::sun::star::awt::XControlModel xModel) raises ( com::sun::star::container::NoSuchElementException )
| is called to get the control from the specified control model. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the controls in a view.

See Also
  com::sun::star::frame::XController

## Member Function Documentation

com::sun::star::awt::XControl getControl | ( | [in] com::sun::star::awt::XControlModel | xModel | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

is called to get the control from the specified control model.

The documentation for this interface was generated from the following file:

- com/sun/star/view/XControlAccess.idl